summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: cb1b333)
raw | patch | inline | side by side (parent: cb1b333)
author | cajus <cajus@594d385d-05f5-0310-b6e9-bd551577e9d8> | |
Wed, 27 Jun 2007 08:31:42 +0000 (08:31 +0000) | ||
committer | cajus <cajus@594d385d-05f5-0310-b6e9-bd551577e9d8> | |
Wed, 27 Jun 2007 08:31:42 +0000 (08:31 +0000) |
git-svn-id: https://oss.gonicus.de/repositories/gosa/branches/2.5@6714 594d385d-05f5-0310-b6e9-bd551577e9d8
debian/control | patch | blob | history | |
debian/gosa-desktop.config | [new file with mode: 0755] | patch | blob |
debian/gosa-desktop.postinst | [new file with mode: 0755] | patch | blob |
debian/gosa-desktop.postrm | [new file with mode: 0755] | patch | blob |
debian/gosa-desktop.template | [new file with mode: 0644] | patch | blob |
debian/rules | patch | blob | history |
diff --git a/debian/control b/debian/control
index f50598c18457e6fb6d17688ed9c2cf807190673e..5c23ed22b962945995c9c4133fb4932074ed8b61 100644 (file)
--- a/debian/control
+++ b/debian/control
Package: gosa-desktop
Architecture: all
-Depends: iceweasel | mozilla | firefox
+Depends: iceweasel | mozilla | firefox, debconf
Description: Desktop integration for GOsa
This package includes a menu definition for your desktop
environment.
diff --git a/debian/gosa-desktop.config b/debian/gosa-desktop.config
--- /dev/null
@@ -0,0 +1,9 @@
+#!/bin/sh -e
+
+# Source debconf library.
+. /usr/share/debconf/confmodule
+
+# What is the URL?
+db_input medium gosa-desktop/url || true
+db_go
+
diff --git a/debian/gosa-desktop.postinst b/debian/gosa-desktop.postinst
--- /dev/null
@@ -0,0 +1,9 @@
+#!/bin/sh -e
+
+# Source debconf library.
+. /usr/share/debconf/confmodule
+
+db_get gosa-desktop/url
+if [ -n "$RET" ]; then
+ echo "URL='$RET'" > /etc/gosa/desktoprc
+fi
diff --git a/debian/gosa-desktop.postrm b/debian/gosa-desktop.postrm
--- /dev/null
@@ -0,0 +1,5 @@
+#!/bin/sh -e
+
+if [ "$1" = "purge" ]; then
+ rm -f /etc/gosa/desktoprc
+fi
diff --git a/debian/gosa-desktop.template b/debian/gosa-desktop.template
--- /dev/null
@@ -0,0 +1,9 @@
+Template: gosa-desktop/url
+Type: string
+Default: https://www.gosa-project.org/demo/2.5
+Description: What is the URL to your GOsa installation?
+ The gosa start script can automatically point your
+ browser to a system wide default location of your
+ GOsa instance.
+ .
+ Enter the URL in order to set this default.
diff --git a/debian/rules b/debian/rules
index a4880200af240e07b88d985e425741a4b67363bf..e09ffe05f09f01c77c48e92f2a294172d3f94481 100755 (executable)
--- a/debian/rules
+++ b/debian/rules
dh_installdocs
dh_installcron
dh_installexamples
+ dh_installdebconf
dh_installmenu
dh_installman --package=gosa debian/mkntpasswd.1
dh_installman --package=gosa-desktop debian/gosa.1